RaspberryPi 3 Model B+でIoT監視カメラをつくる(その2GoogleDriveとLINEの設定) | そう備忘録

RaspberryPi 3 Model B+でIoT監視カメラをつくる(その2GoogleDriveとLINEの設定)

souichirou

やった事を忘れない為の備忘録 同じような事をやりたい人の参考になればと思ってブログにしてます。 主にレゴ、AWS(Amazon Web Services)、WordPress、RaspberryPiに関するブログを書いています。 仕事では工場に協業ロボットの導入やIoT化などをやっています。 2019年7月にJDLA(一般社団法人 日本デイープラーニング協会)Deep Learning for GENERALに合格しました。 質問は記事一番下にあるコメントか質問フォーラムにお願いします。

おすすめ

3件のフィードバック

  1. san より:

    貴殿のサイトを参考に、RaspberryPi4にて自宅監視カメラを
    構築しようとしております。

    カメラの撮影試験等は完了して、GoogleConsoleでの諸設定も
    済んでおります。
    次に貴殿のサンプルPythonプログラムを自分用にアレンジして
    起動させますが、以下のエラーでつまずいていまして、また、
    Python自体も詳しくなくて、これからという感じです。

    何かヒント等があれば助かります。
    よろしくお願いいたします。

    エラー内容)
    ~/bin $ python googledrive.py
    Traceback (most recent call last):
    File “/usr/local/lib/python3.7/dist-packages/pydrive/auth.py”, line 386, in LoadClientConfigFile
    client_type, client_info = clientsecrets.loadfile(client_config_file)
    File “/usr/local/lib/python3.7/dist-packages/oauth2client/clientsecrets.py”, line 165, in loadfile
    return _loadfile(filename)
    File “/usr/local/lib/python3.7/dist-packages/oauth2client/clientsecrets.py”, line 126, in _loadfile
    return _validate_clientsecrets(obj)
    File “/usr/local/lib/python3.7/dist-packages/oauth2client/clientsecrets.py”, line 101, in _validate_clientsecrets
    prop_name, client_type))
    oauth2client.clientsecrets.InvalidClientSecretsError: Missing property “redirect_uris” in a client type of “web”.

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File “googledrive.py”, line 19, in
    gauth.LocalWebserverAuth()
    File “/usr/local/lib/python3.7/dist-packages/pydrive/auth.py”, line 113, in _decorated
    self.GetFlow()
    File “/usr/local/lib/python3.7/dist-packages/pydrive/auth.py”, line 443, in GetFlow
    self.LoadClientConfig()
    File “/usr/local/lib/python3.7/dist-packages/pydrive/auth.py”, line 366, in LoadClientConfig
    self.LoadClientConfigFile()
    File “/usr/local/lib/python3.7/dist-packages/pydrive/auth.py”, line 388, in LoadClientConfigFile
    raise InvalidConfigError(‘Invalid client secrets file %s’ % error)
    pydrive.settings.InvalidConfigError: Invalid client secrets file Missing property “redirect_uris” in a client type of “web”.

    • san より:

      すみません、時間掛けて調査しまして自己解決できました。

      • souichirou より:

        sanさん

        コメントありがとうございます。
        Google Driveの認証でエラーになっているようですね。
        無事に解決できて何よりです。

        エラーの解決でどうしても分からない時はプログラムを最小単位にして少しずつ正しく動くかどうかを検証していくと早道だったりしますよ😁

質問やコメントや励ましの言葉などを残す

メールアドレスが公開されることはありません。